Bug 621411 - [abrt] crash in cvs2git-2.3.0-0.1.r4998svn.fc13: git_output_option.py:209:setup:TypeError: coercing to Unicode: need string or buffer, NoneType found
[abrt] crash in cvs2git-2.3.0-0.1.r4998svn.fc13: git_output_option.py:209:set...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cvs2svn (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
abrt_hash:14d957ab
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 20:05 EDT by David Sturtevant
Modified: 2011-02-15 16:27 EST (History)
2 users (show)

See Also:
Fixed In Version: cvs2svn-2.3.0-0.4.r5319svn.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 16:23:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.08 KB, text/plain)
2010-08-04 20:05 EDT, David Sturtevant
no flags Details

  None (edit)
Description David Sturtevant 2010-08-04 20:05:04 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/cvs2git --dry-run --username=sturt /opt/repos/Saber_Oct/nextone
component: cvs2svn
executable: /usr/bin/cvs2git
kernel: 2.6.34.1-29.fc13.x86_64
package: cvs2git-2.3.0-0.1.r4998svn.fc13
reason: git_output_option.py:209:setup:TypeError: coercing to Unicode: need string or buffer, NoneType found
release: Fedora release 13 (Goddard)

backtrace
-----
git_output_option.py:209:setup:TypeError: coercing to Unicode: need string or buffer, NoneType found

Traceback (most recent call last):
  File "/usr/bin/cvs2git", line 70, in <module>
    git_main(os.path.basename(sys.argv[0]), sys.argv[1:])
  File "/usr/lib/python2.6/site-packages/cvs2svn_lib/main.py", line 109, in git_main
    main(progname, run_options, pass_manager)
  File "/usr/lib/python2.6/site-packages/cvs2svn_lib/main.py", line 86, in main
    pass_manager.run(run_options)
  File "/usr/lib/python2.6/site-packages/cvs2svn_lib/pass_manager.py", line 181, in run
    the_pass.run(run_options, stats_keeper)
  File "/usr/lib/python2.6/site-packages/cvs2svn_lib/passes.py", line 1734, in run
    Ctx().output_option.setup(stats_keeper.svn_rev_count())
  File "/usr/lib/python2.6/site-packages/cvs2svn_lib/git_output_option.py", line 209, in setup
    self.f = open(self.dump_filename, 'wb')
TypeError: coercing to Unicode: need string or buffer, NoneType found

Local variables in innermost frame:
self: <cvs2svn_lib.git_output_option.GitOutputOption instance at 0xbd61b8>
svn_rev_count: 3303

How to reproduce
-----
1. Simply run with --dry-run option --username=foo
2.
3.
Comment 1 David Sturtevant 2010-08-04 20:05:06 EDT
Created attachment 436705 [details]
File: backtrace
Comment 2 Michael Haggerty 2011-01-24 00:31:34 EST
This crash should be fixed in the upstream project by r5317 on the 2.3.x branch and r5318 on trunk.

I don't plan to make any further 2.3.x releases but feel free to release a patched package based on r5317 if this is important to you.
Comment 3 Fedora Update System 2011-02-02 12:08:59 EST
cvs2svn-2.3.0-0.4.r5319svn.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cvs2svn-2.3.0-0.4.r5319svn.fc14
Comment 4 Fedora Update System 2011-02-02 12:10:31 EST
cvs2svn-2.3.0-0.4.r5319svn.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cvs2svn-2.3.0-0.4.r5319svn.fc13
Comment 5 Fedora Update System 2011-02-03 15:19:07 EST
cvs2svn-2.3.0-0.4.r5319svn.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cvs2svn'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cvs2svn-2.3.0-0.4.r5319svn.fc14
Comment 6 Fedora Update System 2011-02-15 16:23:22 EST
cvs2svn-2.3.0-0.4.r5319svn.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-02-15 16:27:17 EST
cvs2svn-2.3.0-0.4.r5319svn.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.